edu.sc.seis.sod.process.waveform

## Interface WaveformProcess

- All Superinterfaces:
    SodElement, Subsetter
  All Known Implementing Classes:
    AbstractSeismogramWriter, AbstractWaveformMeasure, AlwaysSuccess, AsciiWriter, CollapseOverlaps, CompoundPhaseSignalToNoise, CompressionType, Decimate, Differentiate, Div, EmbeddedChannel, EmbeddedEventChannel, EmbeddedEventChannelProcessor, EmbeddedEventStation, EmbeddedEventStationProcessor, EmbeddedNetwork, EmbeddedRequest, EmbeddedStation, ExampleExternalProcess, Filter, ForkProcess, FullDataCoverage, GapFill, Integrate, InvertFlippedChannels, LegacyExecute, LegacyVectorExecute, LocalSeismogramTemplateGenerator, LongShortSignalToNoise, Mean, Merge, MinMax, MseedWriter, Mul, NoDataGaps, NullWaveformProcess, OregonDspFFT, OregonDSPFilter, PhaseCut, PhaseDataCoverage, PhaseSignalToNoise, PrintlineSeismogramProcess, QuitOnce, RecordSectionDisplayGenerator, RequestCut, ResponseGain, ResultWrapper, RetryAndContinue, RetryAndFail, RMean, Rms, RSChannelInfoPopulator, RTrend, SacExecute, SacWriter, SeismogramAND, SeismogramImageProcess, SeismogramNOT, SeismogramOR, SeismogramSampling, SeismogramScript, SimpleMeasurementReport, SNEPProblem, SomeDataCoverage, Stddev, Taper, TransferResponse, Upsample, VectorImageProcess, WaveformAsAvailableData, WavWriter

      public interface WaveformProcess
      extends Subsetter

  LocalSeismogramProcess.java Created: Thu Dec 13 18:03:03 2001

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `WaveformResult` | `accept(edu.sc.seis.fissuresUtil.cache.CacheEvent event, edu.iris.Fissures.network.ChannelImpl channel, edu.iris.Fissures.IfSeismogramDC.RequestFilter[] original, edu.iris.Fissures.IfSeismogramDC.RequestFilter[] available, edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[] seismograms, CookieJar cookieJar)` Processes localSeismograms, possibly modifying them.

- - ### Method Detail

    - #### accept

          WaveformResult accept(edu.sc.seis.fissuresUtil.cache.CacheEvent event,
                                edu.iris.Fissures.network.ChannelImpl channel,
                                edu.iris.Fissures.IfSeismogramDC.RequestFilter[] original,
                                edu.iris.Fissures.IfSeismogramDC.RequestFilter[] available,
                                edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[] seismograms,
                                CookieJar cookieJar)
                         throws java.lang.Exception

      Processes localSeismograms, possibly modifying them.
      Throws:
        `java.lang.Exception`